---------------------------------------------
# NTCIR-12 MathIR Task Wikipedia Corpus Formulae (v0.1)

The formulas included in this directory are taken from the
**revised (v 0.2.1)** version of the 'Wikipedia' corpus for the NTCIR-12
Mathematical Information Retrieval (MathIR) tasks (see
http://ntcir-math.nii.ac.jp/introduction/).

**v0.1 April 5, 2016**

**Richard Zanibbi** *( rlaz@cs.rit.edu )*<br>
Document and Pattern Recognition Lab *( https://www.cs.rit.edu/~dprl )*<br>
Department of Computer Science  
Rochester Institute of Technology, Rochester, NY, USA  


---------------------------------------------

## Description

This directory contains \<math\>-tagged regions in the NTCIR-12 Wikipedia corpus, available online at:

	https://www.cs.rit.edu/~rlaz/NTCIR12_MathIR_WikiCorpus_v2.1.0.tar.bz2

For details on the original collection, please download the archive above and consult the documentation.

This formula collection was initially created to support creation of the CROHME 2016 handwritten math recognition competition, but may be used for other purposes (please see Wikipedia licensing information below).

This collection contains 592,264 formulas (with repetition - no filtering has been applied), located in 31,807 Wikipedia articles.

---

## Format (.xhtml, UTF-8 encoding)

Each directory of articles from the Wiki corpus has one or more corresponding .html files in the current directory. Most formulas are provided in both Presentation MathML format and LaTeX (in cases where LaTeX to MathML conversion failed, only LaTeX may available). 

The documents can be viewed directly in a web browser - the MathJax javascript utility (https://www.mathjax.org/) is included in each file, which will render formulas in the browser. Try right-clicking on a formula in your browser to see some of the viewing and representation options that MathJax provides.

Each .html file lists article names, along with a list of tagged formulas located in each article.

1. \<h1\> tag (file name): provides the name of the directory the formulas are taken from, along with an offset (e.g. wpmath0000001_0.html and wpmath0000001_1.html are two files, both generated from articles in the same directory in the NTCIR-12 Wiki corpus).
2. \<h2\> tags: article names
3. \<ol\> and \<li\> tags: the list of enumerated formulas extracted from the article (**Note:** indexing starts at 0)
4. \<math\>: formula (each has unique *id* attribute)
	a. Presentation MathML appears below the \<semantics\> tag; 
	a. \<annotation-xml encoding="application/x-tex"\> - demarcates the original LaTeX for the formula.
5. At the bottom of each file, a comment provides the number of formulas and articles located in the file. Note that for a number of articles these numbers are 0 (as no articles contained formulas in the directory associated with the file).

**Please Note:** because the files are in .xhtml format, the symbols '<', '>', and '&' have been replaced by '&lt;', '&gt;' and '&amp;'. You may need to replace these symbols for your system (e.g. if you want to use the LaTeX strings with LaTeX).

---

##Wikipedia Data and License

The Wikipedia articles included in this collection are being provided under a Creative Commons BY-SA license (http://creativecommons.org/licenses/by-sa/3.0/), as required by the Wikimedia foundation (https://en.wikipedia.org/wiki/Wikipedia:Copyrights#Reusers.27_rights_and_obligations). 

The complete original content of all articles in this collection may be obtained from the Aug. 5, 2015 text-only Wikipedia snapshot provided online:

	https://dumps.wikimedia.org/enwiki/20150805/enwiki-20150805-pages-articles.xml.bz2   

Wikipedia articles included in this collection are unchanged aside from alterations resulting from the automated MediaWiki to HTML conversion process, followed by selection of formulas.


**Our sincerest thanks go to Wikipedia authors and the people at the Wikimedia Foundation for making snapshots publicly available.** 


---

